# GET /scripthash/:hash

Get information about a scripthash.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

**`scripthash`** - required.&#x20;

## Returns

Returns information about a scripthash.

Available fields: `scripthash`, `chain_stats` and `mempool_stats`.

`{chain,mempool}_stats` each contain an object with `tx_count`, `funded_txo_count`, `funded_txo_sum`, `spent_txo_count` and `spent_txo_sum`.

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/address/<scripthash> \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/address/<scripthash> \
 -X GET
```

{% endtab %}
{% endtabs %}
